Retrieves the article stock location serial with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

article_stock_location_serial
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
article_id

Foreign key of article (mandatory)

globally unique identifier
article_stock_location_id

Foreign key of the article_stock_location (optional, use an empty guid when the serial is not linked to a stock location)

globally unique identifier
serial_number

Serial number (optional)

string

Max length: 255

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

status

Status of the serial (Read-only, always AVAILABLE when created through the API)

string
sys_logical_delete

Readonly system field managed by database

boolean
archived

Readonly archived flag

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "1d9ad90c-e70e-4612-bf64-3e039d133828",
  "article_id": "65515dd7-a07c-4083-9304-3cd98e6f91d8",
  "article_stock_location_id": "b7dcf3c0-93ea-4121-814b-e709e6b85a48",
  "serial_number": "sample string 4",
  "reference_back_office": "sample string 5",
  "status": "sample string 6",
  "sys_logical_delete": true,
  "archived": true,
  "modified_dateutc": "2026-11-01T22:09:41.2362149+00:00"
}